Subject: Re: [calsify] [Technical Errata Reported] RFC5545 (5505)

From: Steve Allen <[email-masked]>
Date: Mon, 4 Feb 2019 09:10:11 -0800

On Mon 2018-10-01T12:57:14-0400 Bernard Desruisseaux hath writ:
> Have you considered requesting the addition of these missing time zones to the IANA Time Zone database?
> Etc/GMT-20
> Etc/GMT-23
> Etc/GMT-0330 (or whatever TZID IANA comes up with)

I think the first two (Lick and Keck time) are akin to convenience
stores in northeast Arizona which set their clocks differently than
the surrounding regions.  The ICU/CLDR code and naming scheme do not
even include the counties in Indiana which have unique time zone
history.  A public database which must be squished into the memory of
internet-of-things devices needs a limit on the number of named
specialist cases.

My objection is to interfaces which only tolerate the enumerated
cases in some database and do not allow custom offsets.

--
Steve Allen                    <[email-masked]>              WGS-84 (GPS)
UCO/Lick Observatory--ISB 260  Natural Sciences II, Room 165  Lat  +36.99855
1156 High Street               Voice: +1 831 459 3046         Lng -122.06015
Santa Cruz, CA 95064           https://www.ucolick.org/~sla/  Hgt +250 m